Summary:	Layer on top of PKCS#11 API to make using PKCS#11 implementations easier
Summary(pl.UTF-8):	Warstwa powyżej API PKCS#11 ułatwiająca używanie implementacji PKCS#11
Name:		libp11
Version:	0.4.15
Release:	1
License:	LGPL v2.1+
Group:		Libraries
#Source0Download: https://github.com/OpenSC/libp11/releases
Source0:	https://github.com/OpenSC/libp11/releases/download/%{name}-%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	d38a0a5799cb2e19325419956d7d65d9
URL:		https://github.com/OpenSC/libp11
BuildRequires:	doxygen
BuildRequires:	openssl-devel >= 3.0.0
# for proxy_module detection
BuildRequires:	p11-kit-devel
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%undefine	__cxx

%description
Libp11 is a library implementing a small layer on top of PKCS#11 API
to make using PKCS#11 implementations easier.

%description -l pl.UTF-8
Libp11 to biblioteka implementująca niewielką warstwę na wierzchu API
PKCS#11 mająca ułatwić używanie implementacji PKCS#11.

%package devel
Summary:	Header files for libp11 library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libp11
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	openssl-devel >= 3.0.0

%description devel
Header files for libp11 library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libp11.

%package static
Summary:	Static libp11 library
Summary(pl.UTF-8):	Statyczna biblioteka libp11
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libp11 library.

%description static -l pl.UTF-8
Statyczna biblioteka libp11.

%package apidocs
Summary:	API documentation for libp11 library
Summary(pl.UTF-8):	Dokumentacja API biblioteki libp11
Group:		Documentation

%description apidocs
API documentation for libp11 library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki libp11.

%package -n openssl-engine-pkcs11
Summary:	PKCS#11 engine for OpenSSL
Summary(pl.UTF-8):	Silnik PKCS#11 dla OpenSSL-a
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	openssl >= 3.0.0

%description -n openssl-engine-pkcs11
engine_pkcs11 is an implementation of an engine for OpenSSL. It can be
loaded using code, config file or command line and will pass any
function call by openssl to a PKCS#11 module. Engine_pkcs11 is meant
to be used with smart cards and software for using smart cards in
PKCS#11 format, such as OpenSC.

%description -n openssl-engine-pkcs11 -l pl.UTF-8
engine_pkcs11 to implementacja silnika dla OpenSSL-a. Może być
wczytany przy użyciu kodu, pliku konfiguracyjnego i linii poleceń;
przekazuje wszystkie wywołania funkcji openssl-a do modułu PKCS#11.
engine_pkcs11 jest przeznaczony do używania z kartami procesorowymi i
oprogramowaniem do używania kart procesorowych w formacie PKCS#11,
takim jak OpenSC.

%prep
%setup -q

%build
%configure \
	--enable-api-doc \
	--disable-silent-rules \
	--with-enginesdir=/%{_lib}/engines-3
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -af examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

# obsoleted by pkgconfig
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libp11.la
# loadable modules
%{__rm} $RPM_BUILD_ROOT/%{_lib}/engines-3/*.la
%{__rm} $RPM_BUILD_ROOT/%{_lib}/ossl-modules/*.la
# packaged as %doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/libp11

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc NEWS README.md
%attr(755,root,root) %{_libdir}/libp11.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libp11.so.3

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libp11.so
%{_includedir}/libp11.h
%{_includedir}/p11_err.h
%{_pkgconfigdir}/libp11.pc
%{_examplesdir}/%{name}-%{version}

%files static
%defattr(644,root,root,755)
%{_libdir}/libp11.a

%files apidocs
%defattr(644,root,root,755)
%doc doc/api.out/html/*

%files -n openssl-engine-pkcs11
%defattr(644,root,root,755)
%attr(755,root,root) /%{_lib}/engines-3/libpkcs11.so
%attr(755,root,root) /%{_lib}/engines-3/pkcs11.so
%attr(755,root,root) /%{_lib}/ossl-modules/libpkcs11.so
%attr(755,root,root) /%{_lib}/ossl-modules/pkcs11prov.so
%changelog
* Wed Jun 18 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libp11.git;a=log;h=master

* Wed Jun 18 2025 Jakub Bogusz <qboosh@pld-linux.org> 3a8fdbb
- updated to 0.4.15

* Wed May 21 2025 Jakub Bogusz <qboosh@pld-linux.org> a01b798
- updated to 0.4.14

* Fri Feb 28 2025 Jakub Bogusz <qboosh@pld-linux.org> 464d6df
- updated to 0.4.13

* Fri Feb 28 2025 Jakub Bogusz <qboosh@pld-linux.org> 83fdeb7
- use patch -P

* Mon May 29 2023 Jakub Bogusz <qboosh@pld-linux.org> db49796
- updated to 0.4.12
- added openssl3 patch to fix soname with openssl 3.1.x

* Wed Oct 06 2021 Jan Rękorajski <baggins@pld-linux.org> 9a0aa7f
- rel 2, rebuild for openssl 3.0.0

* Mon Oct 04 2021 Jan Palus <atler@pld-linux.org> d59fd7e
- up to 0.4.11

* Mon Apr 22 2019 Jakub Bogusz <qboosh@pld-linux.org> cf52347
- updated to 0.4.10

* Sun Oct 21 2018 Jan Rękorajski <baggins@pld-linux.org> 2ad2303
- fix openssl engines dir
- rel 2

* Wed Sep 26 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 036ed79
- up to 0.4.9

* Sat Sep 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 58ddcd3
- release 3 (by relup.sh)

* Fri Sep 14 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> b897df7
- release 2 (by relup.sh)

* Fri Nov 24 2017 Jakub Bogusz <qboosh@pld-linux.org> 0d439bb
- new URLs, updated to 0.4.7

* Wed Jul 15 2015 Jan Rękorajski <baggins@pld-linux.org> f98cfa3
- release 2 (by relup.sh)

* Wed Apr 20 2011 Jakub Bogusz <qboosh@pld-linux.org> 4786386
- updated to 0.2.8 (note: new soname)
- dropped libtool file (obsoleted by pkgconfig)

* Mon Jul 19 2010 Elan Ruusamäe <glen@pld-linux.org> da166ad
- up to 0.2.7, new soname

* Thu May 20 2010 sparky <sparky@pld-linux.org> 3bc9e60
- BR: doxygen; don't require c++ compiler

* Mon Apr 12 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 1676aca
- release 2

* Tue Aug 26 2008 Jakub Bogusz <qboosh@pld-linux.org> af5c2a5
- readded ChangeLog

* Tue Aug 26 2008 Jakub Bogusz <qboosh@pld-linux.org> e3d69a0
- updated to 0.2.4

